Name:           maven-ant-plugin
Version:        2.3
Release:        %mkrel 12
Summary:        Maven Ant Plugin

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-ant-plugin
#svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-ant-plugin-2.3/
#tar jcf maven-ant-plugin-2.3.tar.bz2 maven-ant-plugin-2.3/
Source0:        %{name}-%{version}.tar.bz2
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
Patch0:         %{name}-pom.patch

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: maven-local
BuildRequires: maven-plugin-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: plexus-utils
BuildRequires: ant
BuildRequires: plexus-containers-container-default
BuildRequires: maven-plugin-testing-harness
BuildRequires: junit

Requires:       maven
Requires:       java
Requires:       jpackage-utils
Requires:       plexus-utils
Requires:       ant
Requires:       plexus-containers-container-default
Requires:       junit

Obsoletes: maven2-plugin-ant <= 0:2.0.8
Provides: maven2-plugin-ant = 0:%{version}-%{release}

%description
Generates an Ant build file from a POM.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q 
%patch0 -p0
cp -p %{SOURCE1} .

%build
mvn-rpmbuild \
        -Dmaven.test.skip=true \
        install javadoc:javadoc

%install
# jars
install -Dpm 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%doc LICENSE-2.0.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc LICENSE-2.0.txt
%{_javadocdir}/%{name}




%changelog
* Mon Nov 04 2013 dmorgan <dmorgan> 2.3-12.mga4
+ Revision: 549391
- Fix buildrequires for new maven

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Aug 03 2013 joequant <joequant> 2.3-10.mga4
+ Revision: 462958
- remove ant-nodeps and ant-trax

* Tue Jul 09 2013 dmorgan <dmorgan> 2.3-9.mga4
+ Revision: 451846
- migrated to plexus-components-component-default

* Sat Jan 12 2013 umeabot <umeabot> 2.3-8.mga3
+ Revision: 359574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 26 2012 dmorgan <dmorgan> 2.3-7.mga3
+ Revision: 264009
- Fix compile in pure maven 3(without maven 2 installed).

* Fri Jul 22 2011 dmorgan <dmorgan> 2.3-6.mga2
+ Revision: 127938
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 2.3-5.mga1
+ Revision: 93091
- Fix ant patch
- Update ant patch
- Rebuild after bootstrapping
- imported package maven-ant-plugin


* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 2.3-4
- Added 'Requires:maven2'

* Wed Jun 02 2010 Hui Wang <huwang@redhat.com> - 2.3-3
- Changed epoch 1 to epoch 0 in provides

* Wed Jun 02 2010 Hui Wang <huwang@redhat.com> - 2.3-2
- Added epoch 1 in provides

* Fri May 28 2010 Hui Wang <huwang@redhat.com> - 2.3-1
- Initial version of the package
